import java.util.List;
import java.util.Map;

import mb.fw.restapi.common.ClientConfigureLoader;
import mb.fw.restapi.consumer.CmmnConsumer;
import mb.fw.restapi.consumer.EmisConsumer;
import mb.fw.restapi.consumer.TranConsumer;
import mb.fw.restapi.consumer.TrtmConsumer;
import mb.fw.restapi.message.T200_5001_01_ListReq;
import mb.fw.restapi.message.T200_5001_02_ListReq;
import mb.fw.restapi.message.T200_7001_01_ListReq;
import mb.fw.restapi.message.T200_7001_02_ListReq;
import mb.fw.restapi.message.T300_5001_01_ListReq;
import mb.fw.restapi.message.T400_5001_01_ListReq;
import mb.fw.restapi.message.T400_5001_02_ListReq;

public class OpenAPIClientTest {
	private ClientConfigureLoader properties = new ClientConfigureLoader();
	// 공통처리 클라이언트
	private CmmnConsumer cmmnConsumer = new CmmnConsumer();
	// 배출자 클라이언트
	private EmisConsumer emisConsumer = new EmisConsumer();
	// 운반자 클라이언트
	private TranConsumer tranConsumer = new TranConsumer();
	// 처리자 클라이언트
	private TrtmConsumer trtmConsumer = new TrtmConsumer();
	
	// Get 방식 신규 조회(인계서)
	public void getTest() {
		// 정보연계ID(또는 인터페이스ID), 인계번호, 요청구분(Default "N"), 페이지번호(Default "N"), 기간시작일자, 기간종료일자
		// 신규 데이터 조회
		Map message = (Map)emisConsumer.get("T200_4001_01", null, "N", "N", null, null, null);
			
		if("0000".equals((String)message.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message.get("txid");
			String resultMsg = (String)message.get("resultMessage");
		}
		
		Map message1 = (Map)emisConsumer.get("T200_4001_05", null, null, null, null, null, null);
		if("0000".equals((String)message1.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message1.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message1.get("txid");
			String resultMsg = (String)message1.get("resultMessage");
		}
		
		Map message2 = (Map)emisConsumer.get("T200_4001_06", null, null, null, null, null, null);
		if("0000".equals((String)message2.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message2.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message2.get("txid");
			String resultMsg = (String)message2.get("resultMessage");
		}
		
		//==============================================================
				
		Map message3 = (Map)tranConsumer.get("T300_4001_05", null, null, null, null, null, null);
		if("0000".equals((String)message3.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message3.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message3.get("txid");
			String resultMsg = (String)message3.get("resultMessage");
		}
		
		Map message4 = (Map)tranConsumer.get("T300_4001_34", null, null, null, null, null, null);
		if("0000".equals((String)message4.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message4.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message4.get("txid");
			String resultMsg = (String)message4.get("resultMessage");
		}		
		
		//==============================================================
		Map message5 = (Map)trtmConsumer.get("T400_4001_05", null, null, null, null, null, null);
		if("0000".equals((String)message5.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message5.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message5.get("txid");
			String resultMsg = (String)message5.get("resultMessage");
		}
		
		Map message6 = (Map)trtmConsumer.get("T400_4001_35", null, null, null, null, null, null);
		if("0000".equals((String)message6.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message6.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message6.get("txid");
			String resultMsg = (String)message6.get("resultMessage");
		}
		
	 }	
		
	
	// Get 방식 신규 조회(대장)
	 public void getPrcTest() {
		 
		// 대장 정보연계ID(또는　인터페이스ID), 폐기물코드, 상성, 비고, 폐기물분류, 페이지번호, 기간시작일자, 기간종료일자, 하위업체포함여부
			// 특정조건의 데이터 조회
			String wsteCode = "010101";
			String gntp = "고상";
			String remk = "";
			String wsteType = "";
			String pageNo = "1";
			String fromDate = "20240101";
			String toDate = "20240131";
			String subcdIncludeYn = "N";
			
		Map message7 = (Map)emisConsumer.getPrc("T200_6001_01", wsteCode, gntp, remk, wsteType, pageNo, fromDate, toDate, subcdIncludeYn);
		if("0000".equals((String)message7.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message7.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message7.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message7.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message7.get("txid");
			String resultMsg = (String)message7.get("resultMessage");
		}
		
		Map message8 = (Map)emisConsumer.getPrc("T200_6001_02", wsteCode, gntp, remk, wsteType, pageNo, fromDate, toDate, subcdIncludeYn);
		if("0000".equals((String)message8.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message8.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message8.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message8.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message8.get("txid");
			String resultMsg = (String)message8.get("resultMessage");
		}
		
		
		Map message9 = (Map)emisConsumer.getPrc("T200_6001_03", wsteCode, gntp, remk, wsteType, pageNo, fromDate, toDate, subcdIncludeYn);
		if("0000".equals((String)message9.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message9.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message9.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message9.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message9.get("txid");
			String resultMsg = (String)message9.get("resultMessage");
		}
		
		
		
		Map message10 = (Map)emisConsumer.getPrc("T200_6001_04", wsteCode, gntp, remk, wsteType, pageNo, fromDate, toDate, subcdIncludeYn);
		if("0000".equals((String)message10.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message10.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message10.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message10.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message10.get("txid");
			String resultMsg = (String)message10.get("resultMessage");
		}
		
	 }
	 
	 
	// Get 방식 신규 조회(대장 업체)
	 public void getBasTest() {
		 
		// 운반, 처리업체 정보연계ID(또는　인터페이스ID), 페이지번호, 업체명 
		// 특정조건의 데이터 조회
		String firm_name = "";
		String pageNo = "1";
		Map message11 = (Map)emisConsumer.getBas("T200_6001_05", pageNo, firm_name);
		if("0000".equals((String)message11.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message11.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message11.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message11.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message11.get("txid");
			String resultMsg = (String)message11.get("resultMessage");
		}
		
		Map message12 = (Map)emisConsumer.getBas("T200_6001_06", pageNo, firm_name);
		if("0000".equals((String)message12.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message12.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
		} else if("9011".equals((String)message12.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message12.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message12.get("txid");
			String resultMsg = (String)message12.get("resultMessage");
		}
		
//		System.out.println(consumer.get("API-IFR-MG-001", null, "N", "N", null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-003", null, "N", "N", null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-004", null, "A", null, null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-005", null, "A", null, null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-006", null, null, null, null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-007", null, null, null, null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-008", null, null, null, null, null, null));
//		System.out.println(consumer.get("API-IFR-MG-009", null, null, null, null, null, null));
		
	}
	
	// Get 방식 전체 조회(인계서)
	public void getTest_All() {
		// 정보연계ID(또는 인터페이스ID), 인계번호, 요청구분(Default "N"), 페이지번호(Default "N"), 기간시작일자, 기간종료일자
		// 전체 조회
		Map message = (Map)emisConsumer.get("API-IFR-EG-002", null, "A", "1", null, null, null);
		
		// 특정 인계번호 데이터 조회
//		Map message = (Map)emisConsumer.get("API-IFR-EG-002", "2044824416", "A", "N", null, null, null);
		
		// 특정 기간 데이터 전체 조회
//		String fromDate = "20200101";
//		String toDate = "20201231";
//		Map message = (Map)emisConsumer.get("API-IFR-EG-002", null, "A", "1", fromDate, toDate, null);
		
		if("0000".equals((String)message.get("resultCode"))) {
			// 정상 처리
			List<Map> dataList = (List<Map>)message.get("dataList");
			
			if(dataList.size() == 0) {
				String resultCd = "9010";
				String resultMsg = "Open API Client_연계 성공_조회결과 0건";
			}
			
			int totalPageNo = Integer.parseInt((String)message.get("totalPageNo"));
			if(totalPageNo > 1) {
				for (int i = 2; i <= totalPageNo; i++) {
					Map nextMessage = (Map)emisConsumer.get("API-IFR-EG-002", null, "A", String.valueOf(i), null, null, null);
//					Map nextMessage = (Map)emisConsumer.get("API-IFR-EG-002", null, "A", String.valueOf(i), fromDate, toDate, null);
					
					if("0000".equals((String)nextMessage.get("resultCode"))) {
						// 정상 처리
						List<Map> nextDataList = (List<Map>)nextMessage.get("dataList");
					} else if("9011".equals((String)message.get("resultCode"))) {
						// 요청 파라미터 오류
						String resultMsg = (String)message.get("resultMessage");
					} else {
						// 오류 처리
						String txid = (String)nextMessage.get("txid");
						String resultMsg = (String)nextMessage.get("resultMessage");
					}
				}
			}
		} else if("9011".equals((String)message.get("resultCode"))) {
			// 요청 파라미터 오류
			String resultMsg = (String)message.get("resultMessage");
		} else {
			// 오류 처리
			String txid = (String)message.get("txid");
			String resultMsg = (String)message.get("resultMessage");
		}
		
	}
	
	
	// Get 방식 전체 조회(대장)
	public void getPrcTest_All() {
		// 대장 정보연계ID(또는　인터페이스ID), 폐기물코드, 상성, 비고, 폐기물분류, 페이지번호, 기간시작일자, 기간종료일자, 하위업체포함여부
		// 전체 조회
		Map message2 = (Map)emisConsumer.getPrc("API-IFR-EG-009", null, null ,null ,null ,"1", null, null, "N");;
				
				// 특정 조건의 데이터 조회
				// String wsteCode= "20200101";
				// String gntp = "고상";
				// String remk = "테스트";
				// String wsteType = "1";
				// String fromDate = "20200101";
				// String toDate = "20201231";
				// Map message2 = (Map)emisConsumer.getPrc("API-IFR-EG-009", wsteCode, gntp, remk, wsteType ,"1", fromDate, toDate, "N");
				
				if("0000".equals((String)message2.get("resultCode"))) {
					// 정상 처리
					List<Map> dataList = (List<Map>)message2.get("dataList");
					
					if(dataList.size() == 0) {
						String resultCd = "9010";
						String resultMsg = "Open API Client_연계 성공_조회결과 0건";
					}
					
					int totalPageNo = Integer.parseInt((String)message2.get("totalPageNo"));
					if(totalPageNo > 1) {
						for (int i = 2; i <= totalPageNo; i++) {
							Map nextMessage = (Map)emisConsumer.getPrc("API-IFR-EG-009", null, null ,null ,null , String.valueOf(i), "", "", "N");
//							Map nextMessage = (Map)emisConsumer.getPrc("API-IFR-EG-009", wsteCode, gntp, remk, wsteType ,String.valueOf(i), fromDate, toDate, "N");
							
							if("0000".equals((String)nextMessage.get("resultCode"))) {
								// 정상 처리
								List<Map> nextDataList2 = (List<Map>)nextMessage.get("dataList");
							} else if("9011".equals((String)message2.get("resultCode"))) {
								// 요청 파라미터 오류
								String resultMsg = (String)message2.get("resultMessage");
							} else {
								// 오류 처리
								String txid = (String)nextMessage.get("txid");
								String resultMsg = (String)nextMessage.get("resultMessage");
							}
						}
					}
				} else if("9011".equals((String)message2.get("resultCode"))) {
					// 요청 파라미터 오류
					String resultMsg = (String)message2.get("resultMessage");
				} else {
					// 오류 처리
					String txid = (String)message2.get("txid");
					String resultMsg = (String)message2.get("resultMessage");
				}
				
	}
	
	
	// Get 방식 전체 조회(대장 업체)
	public void getBasTest_All() {
		//대장 업체정보연계ID(또는　인터페이스ID), 페이지번호, 업체명 
		//전체조회
		Map message3 = (Map)emisConsumer.getBas("API-IFR-EG-013", "1", "" );

				// 특정 업체명 조회
				// String firm_name = "테스트업체명";
				// Map message3 = (Map)emisConsumer.getBas("API-IFR-EG-013", "1", firm_name);

				if("0000".equals((String)message3.get("resultCode"))) {
				 // 정상 처리
				 List<Map> dataList = (List<Map>)message3.get("dataList");
				 
				 if(dataList.size() == 0) {
				  String resultCd = "9010";
				  String resultMsg = "Open API Client_연계 성공_조회결과 0건";
				 }
				 
				 int totalPageNo = Integer.parseInt((String)message3.get("totalPageNo"));
				 if(totalPageNo > 1) {  for (int i = 2; i <= totalPageNo; i++) {
				   Map nextMessage3 = (Map)emisConsumer.getBas("API-IFR-EG-013", String.valueOf(i), "" );
				   // 특정 조건의 데이터 조회
				   //Map nextMessage3 = (Map)emisConsumer.getBas("API-IFR-EG-013", String.valueOf(i), firm_name);
				   if("0000".equals((String)nextMessage3.get("resultCode"))) {
				    // 정상 처리
				    
				   List<Map> nextDataList = (List<Map>)nextMessage3.get("dataList");
				   } else if("9011".equals((String)message3.get("resultCode"))) {
				    // 요청 파라미터 오류 처리
				    String resultMsg = (String)message3.get("resultMessage");
				   } else {
				    // 오류 처리
				    String txid = (String)nextMessage3.get("txid");
				    String resultMsg = (String)nextMessage3.get("resultMessage");
				   }
				  }
				 }
				} else if("9011".equals((String)message3.get("resultCode"))) {
				 // 요청 파라미터 오류 처리
				 String resultMsg = (String)message3.get("resultMessage");
				} else {
				 // 오류 처리
				 String txid = (String)message3.get("txid");
				 String resultMsg = (String)message3.get("resultMessage");
				}
	}
	
	// Put 방식
	public void putTest() {
		T200_5001_01_ListReq reqMessage = new T200_5001_01_ListReq();
		reqMessage.setEntn_lkcd(properties.entnLkcd); 
		reqMessage.setManf_nums("2043827150");
		reqMessage.setEmis_chrg("200523144"); 
		reqMessage.setWste_code("510301");
		reqMessage.setGntp("고상");
		reqMessage.setGive_qunt("0");
		reqMessage.setGive_qunt_unit("02");
		reqMessage.setTran_chrg("110466455"); 
		reqMessage.setTrtm_chrg("110466455");
		reqMessage.setGive_date("2020-07-03 09:13:09");
		reqMessage.setGive_chrg_name("홍길동"); 
		reqMessage.setTrtm_ways("2003");
		reqMessage.setCmpt_auth("253"); 
		reqMessage.setTrtm_site("충청남도 천안시 서북구 성환읍");
		reqMessage.setVehc_nums("90고5470"); 
		reqMessage.setWste_remk("석탄재");
		reqMessage.setManb_type("0"); 
		reqMessage.setCertform_info("D20");
		reqMessage.setCert_pdate("제05-5호"); 
		reqMessage.setCert_pinfo("100");
		
		// 정보연계ID, PUT메시지(JSON Object)
		Map message = (Map)emisConsumer.put("API-IFR-EP-001", reqMessage);
		
//		T200_5001_02_ListReq reqMessage1 = new T200_5001_02_ListReq();
//		reqMessage1.setEntn_lkcd(properties.entnLkcd);
//		reqMessage1.setEmis_chrg("200002262");
//		reqMessage1.setManb_date("2020-07-06 16:00:00");
//		reqMessage1.setWste_code("40-02-06");
//		reqMessage1.setGntp("고상");
//		reqMessage1.setWste_remk("");
//		reqMessage1.setSelf_trtm_ways("0000");
//		reqMessage1.setSelf_trtm_qunt("12730");
//		reqMessage1.setManb_type("1");
//		Map message = (Map)emisConsumer.put("API-IFR-EP-002", reqMessage1);
		
//		T300_5001_01_ListReq reqMessage2 = new T300_5001_01_ListReq();
//		reqMessage2.setEntn_lkcd(properties.entnLkcd);
//		reqMessage2.setManf_nums("2043827140");
//		reqMessage2.setTran_chrg("200523144");
//		reqMessage2.setTran_nums("90가1092");
//		reqMessage2.setRecv_date("2020-07-03 09:13:09");
//		reqMessage2.setRecv_qunt("0");
//		reqMessage2.setRecv_unit("");
//		reqMessage2.setDpst_ysno("");
//		reqMessage2.setGive_date("2020-07-03 09:13:09");
//		reqMessage2.setGive_chrg_name("심현우");
//		reqMessage2.setManb_type("2");
//		Map message = (Map)tranConsumer.put("API-IFR-TP-001", reqMessage2);

//		T400_5001_01_ListReq reqMessage3 = new T400_5001_01_ListReq();
//		reqMessage3.setEntn_lkcd("202063376");
//		reqMessage3.setManf_nums("2008134963");
//		reqMessage3.setWeit_nums("1");
//		reqMessage3.setSeqx("1");
//		reqMessage3.setTrtm_chrg("202063376");
//		reqMessage3.setRecv_date("20200818174000");
//		reqMessage3.setRecv_qunt("1000");
//		reqMessage3.setRecv_qunt_unit("02");
//		reqMessage3.setRecv_chrg_name("테스트");
//		reqMessage3.setTran_nums("999건3084");
//		reqMessage3.setFull_weit_date("20200818174000");
//		reqMessage3.setFull_qunt("700");
//		reqMessage3.setEmty_weit_date("20200818174000");
//		reqMessage3.setEmty_qunt("300");
//		reqMessage3.setLoad_qunt("700");
//		reqMessage3.setOrgl_load_qunt("700");
//		reqMessage3.setManb_type("3");
//		System.out.println(consumer.put("API-IFR-MP-001", reqMessage3));

//		T400_5001_02_ListReq reqMessage4 = new T400_5001_02_ListReq();
//		reqMessage4.setEntn_lkcd("202063376");
//		reqMessage4.setManf_nums("2008134963");
//		reqMessage4.setTrtm_chrg("202063376");
//		reqMessage4.setTrtm_date("20200818174100");
//		reqMessage4.setNums("1");
//		reqMessage4.setTrtm_ways("2102");
//		reqMessage4.setTrtq("400");
//		reqMessage4.setTrtq_unit("02");
//		reqMessage4.setLeft_qunt("300");
//		reqMessage4.setManb_type("2");
//		System.out.println(consumer.put("API-IFR-MP-002", reqMessage4));

//		T400_5001_02_ListReq reqMessage4 = new T400_5001_02_ListReq();
//		reqMessage4.setEntn_lkcd("202063376");
//		reqMessage4.setManf_nums("2008134963");
//		reqMessage4.setTrtm_chrg("202063376");
//		reqMessage4.setTrtm_date("20200818174100");
//		reqMessage4.setNums("2");
//		reqMessage4.setTrtm_ways("2102");
//		reqMessage4.setTrtq("300");
//		reqMessage4.setTrtq_unit("02");
//		reqMessage4.setLeft_qunt("0");
//		reqMessage4.setManb_type("1");
//		System.out.println(consumer.put("API-IFR-MP-002", reqMessage4));
		
//	    T200_7001_01_ListReq reqMessage5 = new T200_7001_01_ListReq();
//		reqMessage5.setEntn_lkcd(properties.entnLkcd);
//	    reqMessage5.setEntn("000000000"); 
//	    reqMessage5.setManb_date("20240101"); 
//	    reqMessage5.setWste_code("010101"); 
//	    reqMessage5.setGntp("고상"); 
//	    reqMessage5.setQunt_unit("02"); 
//	    reqMessage5.setNums(""); 
//	    reqMessage5.setSelf_midt_ways("1001"); 
//	    reqMessage5.setSelf_midt_qunt("100"); 
//	    reqMessage5.setSelf_etrt_ways("1300"); 
//	    reqMessage5.setSelf_etrt_qunt("20"); 
//	    reqMessage5.setTrtm_ways("1003"); 
//	    reqMessage5.setCsqt_qunt("100"); 
//	    reqMessage5.setTran_chrg("000000000"); 
//	    reqMessage5.setTrtm_chrg("000000000"); 
//	    reqMessage5.setResi_wste_code("010101"); 
//	    reqMessage5.setResi_qunt("200"); 
//	    reqMessage5.setRemk("테스트"); 
//	    reqMessage5.setWste_type("1"); 
//	    reqMessage5.setManb_type("0"); 
//	    Map message = (Map)emisConsumer.put("API-IFR-EP-003", reqMessage5);
					

	    if("0000".equals((String)message.get("resultCode"))) {
		// 정상 처리
		} else if("9011".equals((String)message.get("resultCode"))) {
		// 요청 파라미터 오류 처리
		String resultMsg = (String)message.get("resultMessage");
		} else {
		// 오류 처리
		String txid = (String)message.get("txid");
        String resultMsg = (String)message.get("resultMessage");
		}
	
		
	    //대장 생성 성공 시, 결과코드는 2종류를 리턴한다. 
		T200_7001_02_ListReq reqMessage6 = new T200_7001_02_ListReq();
		reqMessage6.setEntn_lkcd(properties.entnLkcd);
		reqMessage6.setEntn("000000000"); 
		reqMessage6.setRpt_gb("1"); 
		reqMessage6.setManb_type("1"); 
		Map message6 = (Map)emisConsumer.put("API-IFR-EP-004", reqMessage6);				
				
		if("0004".equals((String)message6.get("resultCode"))) {
	 	// 정상 처리(YYYY년MM월 대장생성 완료)
		String txid = (String)message6.get("txid");
		String resultMsg = (String)message6.get("resultMessage");
		String startDate = (String)message6.get("start_date");
		String endDate = (String)message6.get("end_date");
		} else if("0005".equals((String)message6.get("resultCode"))) {
		// 정상 처리(모든 대장 생성 완료)
		String txid = (String)message6.get("txid");
		String resultMsg = (String)message6.get("resultMessage");
		String startDate = (String)message6.get("start_date");
		String endDate = (String)message6.get("end_date");
		} else if("9011".equals((String)message6.get("resultCode"))) {
		// 요청 파라미터 오류 처리
		String resultMsg = (String)message6.get("resultMessage");
		} else {
		// 오류 처리
		String txid = (String)message6.get("txid");
		String resultMsg = (String)message6.get("resultMessage");
		}		
		 
	}
}
